Index: src/RandomNumbers/Makefile.am
===================================================================
--- src/RandomNumbers/Makefile.am	(revision 1ee3b8d85bc3b82115508a188e0b73f52d7404db)
+++ src/RandomNumbers/Makefile.am	(revision 1ee3b8d85bc3b82115508a188e0b73f52d7404db)
@@ -0,0 +1,79 @@
+# PLEASE adhere to the alphabetical ordering in this Makefile!
+# Also indentation by a single tab
+
+INCLUDES = -I$(top_srcdir)/src
+
+# Position-Independent Code necessary for shared library
+AM_LDFLAGS = ${CodePatterns_LIBS} $(CPPUNIT_LIBS) -ldl
+AM_CPPFLAGS = ${BOOST_CPPFLAGS} $(CPPUNIT_CFLAGS) ${CodePatterns_CFLAGS}
+
+RANDOMSOURCE = \
+	RandomNumberDistribution_Encapsulation.cpp \
+	RandomNumberDistributionFactory.cpp \
+	RandomNumberEngine_Encapsulation.cpp \
+	RandomNumberEngineFactory.cpp \
+	RandomNumberGenerator.cpp \
+	RandomNumberGeneratorFactory.cpp \
+	TemplatePowerSetGenerator.hpp \
+	EmptyPrototypeTable.hpp
+
+RANDOMHEADER = \
+	RandomNumberDistribution.hpp \
+	RandomNumberDistribution_Encapsulation.hpp \
+	RandomNumberDistributionFactory.hpp \
+	RandomNumberEngine.hpp \
+	RandomNumberEngine_Encapsulation.hpp \
+	RandomNumberEngineFactory.hpp \
+	RandomNumberGenerator.hpp \
+	RandomNumberGenerator_Encapsulation.hpp \
+	RandomNumberGeneratorFactory.hpp
+
+lib_LTLIBRARIES = libMolecuilderRandomNumbers.la
+libMolecuilderRandomNumbers_includedir = $(includedir)/MoleCuilder/RandomNumbers/
+#libMolecuilderRandomNumbers_libs = 
+#	$(GSL_LIBS)
+nobase_libMolecuilderRandomNumbers_include_HEADERS = ${RANDOMHEADER}
+
+## Define the source file list for the "libexample-@MOLECUILDER_API_VERSION@.la"
+## target.  Note that @MOLECUILDER_API_VERSION@ is not interpreted by Automake and
+## will therefore be treated as if it were literally part of the target name,
+## and the variable name derived from that.
+## The file extension .cc is recognized by Automake, and makes it produce
+## rules which invoke the C++ compiler to produce a libtool object file (.lo)
+## from each source file.  Note that it is not necessary to list header files
+## which are already listed elsewhere in a _HEADERS variable assignment.
+libMolecuilderRandomNumbers_la_SOURCES = ${RANDOMSOURCE}
+
+## Instruct libtool to include ABI version information in the generated shared
+## library file (.so).  The library ABI version is defined in configure.ac, so
+## that all version information is kept in one place.
+libMolecuilderRandomNumbers_la_LDFLAGS = -version-info $(MOLECUILDER_SO_VERSION)
+
+## The generated configuration header is installed in its own subdirectory of
+## $(libdir).  The reason for this is that the configuration information put
+## into this header file describes the target platform the installed library
+## has been built for.  Thus the file must not be installed into a location
+## intended for architecture-independent files, as defined by the Filesystem
+## Hierarchy Standard (FHS).
+## The nodist_ prefix instructs Automake to not generate rules for including
+## the listed files in the distribution on 'make dist'.  Files that are listed
+## in _HEADERS variables are normally included in the distribution, but the
+## configuration header file is generated at configure time and should not be
+## shipped with the source tarball.
+#libMolecuilderRandomNumbers_libincludedir = $(libdir)/MoleCuilder/include
+#nodist_libMolecuilderRandomNumbers_libinclude_HEADERS = $(top_builddir)/libmolecuilder_config.h
+
+## Install the generated pkg-config file (.pc) into the expected location for
+## architecture-dependent package configuration information.  Occasionally,
+## pkg-config files are also used for architecture-independent data packages,
+## in which case the correct install location would be $(datadir)/pkgconfig.
+#pkgconfigdir = $(libdir)/pkgconfig
+#pkgconfig_DATA = $(top_builddir)/MoleCuilder.pc
+
+unity.cpp:
+	echo "" >  unity.cpp; \
+	list='$(LINALGSOURCE)'; for file in $$list; do \
+	  echo "#include \"$(srcdir)/$$file\"" >> unity.cpp; \
+	done;
+	
+MOSTLYCLEANFILES = unity.cpp
Index: src/RandomNumbers/unittests/Makefile.am
===================================================================
--- src/RandomNumbers/unittests/Makefile.am	(revision 6ff0c86cbaac5717bf62b0ad078300179e43e3e1)
+++ src/RandomNumbers/unittests/Makefile.am	(revision 1ee3b8d85bc3b82115508a188e0b73f52d7404db)
@@ -19,68 +19,30 @@
 BOOST_LIB = $(BOOST_LDFLAGS) $(BOOST_MPL_LIB) $(BOOST_PROGRAM_OPTIONS_LIB) $(BOOST_FILESYSTEM_LIB) $(BOOST_SYSTEM_LIB) $(BOOST_THREAD_LIB)
 GSLLIBS = \
-	../../Shapes/libMolecuilderShapes.la \
-	../../LinearAlgebra/libMolecuilderLinearAlgebra.la \
-	../../Exceptions/libMolecuilderExceptions.la \
 	${CodePatterns_LIBS} \
 	$(BOOST_LIB)
 
-ALLLIBS = \
-	../../UIElements/libMolecuilderUI.la \
-	../../Actions/libMolecuilderActions.la \
-	${PARSERLIBS} \
-	../../libMolecuilder.la \
-	${GSLLIBS}
-
-PARSERLIBS = ../../Parser/libMolecuilderParser.la
-
 RandomNumberDistributionFactoryUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
 	RandomNumberDistributionFactoryUnitTest.cpp \
-	RandomNumberDistributionFactoryUnitTest.hpp \
-	$(srcdir)/../RandomNumberDistribution_Encapsulation.cpp \
-	$(srcdir)/../RandomNumberDistribution_Encapsulation.hpp \
-	$(srcdir)/../RandomNumberDistributionFactory.cpp \
-	$(srcdir)/../RandomNumberDistributionFactory.hpp
-RandomNumberDistributionFactoryUnitTest_LDADD = ${GSLLIBS}
+	RandomNumberDistributionFactoryUnitTest.hpp
+RandomNumberDistributionFactoryUnitTest_LDADD = ${GSLLIBS} \
+	../../RandomNumbers/libMolecuilderRandomNumbers.la
 
 RandomNumberEngineFactoryUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
 	RandomNumberEngineFactoryUnitTest.cpp \
-	RandomNumberEngineFactoryUnitTest.hpp \
-	$(srcdir)/../RandomNumberEngine_Encapsulation.cpp \
-	$(srcdir)/../RandomNumberEngine_Encapsulation.hpp \
-	$(srcdir)/../RandomNumberEngineFactory.cpp \
-	$(srcdir)/../RandomNumberEngineFactory.hpp
-RandomNumberEngineFactoryUnitTest_LDADD = ${GSLLIBS}
+	RandomNumberEngineFactoryUnitTest.hpp
+RandomNumberEngineFactoryUnitTest_LDADD = ${GSLLIBS} \
+	../../RandomNumbers/libMolecuilderRandomNumbers.la
 
 RandomNumberGeneratorFactoryUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
 	RandomNumberGeneratorFactoryUnitTest.cpp \
-	RandomNumberGeneratorFactoryUnitTest.hpp \
-	$(srcdir)/../RandomNumberDistribution_Encapsulation.cpp \
-	$(srcdir)/../RandomNumberDistribution_Encapsulation.hpp \
-	$(srcdir)/../RandomNumberDistributionFactory.cpp \
-	$(srcdir)/../RandomNumberDistributionFactory.hpp \
-	$(srcdir)/../RandomNumberEngine_Encapsulation.cpp \
-	$(srcdir)/../RandomNumberEngine_Encapsulation.hpp \
-	$(srcdir)/../RandomNumberEngineFactory.cpp \
-	$(srcdir)/../RandomNumberEngineFactory.hpp \
-	$(srcdir)/../RandomNumberGenerator.cpp \
-	$(srcdir)/../RandomNumberGeneratorFactory.cpp \
-	$(srcdir)/../RandomNumberGeneratorFactory.hpp
-RandomNumberGeneratorFactoryUnitTest_LDADD = ${GSLLIBS}
+	RandomNumberGeneratorFactoryUnitTest.hpp
+RandomNumberGeneratorFactoryUnitTest_LDADD = ${GSLLIBS} \
+	../../RandomNumbers/libMolecuilderRandomNumbers.la
 
 RandomNumberGeneratorUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
 	RandomNumberGeneratorUnitTest.cpp \
-	RandomNumberGeneratorUnitTest.hpp \
-	$(srcdir)/../RandomNumberDistribution_Encapsulation.cpp \
-	$(srcdir)/../RandomNumberDistribution_Encapsulation.hpp \
-	$(srcdir)/../RandomNumberDistributionFactory.cpp \
-	$(srcdir)/../RandomNumberDistributionFactory.hpp \
-	$(srcdir)/../RandomNumberEngine_Encapsulation.cpp \
-	$(srcdir)/../RandomNumberEngine_Encapsulation.hpp \
-	$(srcdir)/../RandomNumberEngineFactory.cpp \
-	$(srcdir)/../RandomNumberEngineFactory.hpp \
-	$(srcdir)/../RandomNumberGenerator.cpp \
-	$(srcdir)/../RandomNumberGeneratorFactory.cpp \
-	$(srcdir)/../RandomNumberGeneratorFactory.hpp
-RandomNumberGeneratorUnitTest_LDADD = ${GSLLIBS}
+	RandomNumberGeneratorUnitTest.hpp
+RandomNumberGeneratorUnitTest_LDADD = ${GSLLIBS} \
+	../../RandomNumbers/libMolecuilderRandomNumbers.la
 
 
